tmx_funcs Struct Reference

`#include <date_tmx.h>`

## Data Fields

VALUE(* | year )(void *dat)
int(* | yday )(void *dat)
int(* | mon )(void *dat)
int(* | mday )(void *dat)
VALUE(* | cwyear )(void *dat)
int(* | cweek )(void *dat)
int(* | cwday )(void *dat)
int(* | wnum0 )(void *dat)
int(* | wnum1 )(void *dat)
int(* | wday )(void *dat)
int(* | hour )(void *dat)
int(* | min )(void *dat)
int(* | sec )(void *dat)
VALUE(* | sec_fraction )(void *dat)
VALUE(* | secs )(void *dat)
VALUE(* | msecs )(void *dat)
VALUE(* | offset )(void *dat)
char *(* | zone )(void *dat)

## Detailed Description

Definition at line 4 of file date_tmx.h.

## Field Documentation

int(* tmx_funcs::cwday)(void *dat)

Definition at line 11 of file date_tmx.h.

int(* tmx_funcs::cweek)(void *dat)

Definition at line 10 of file date_tmx.h.

VALUE(* tmx_funcs::cwyear)(void *dat)

Definition at line 9 of file date_tmx.h.

int(* tmx_funcs::hour)(void *dat)

Definition at line 15 of file date_tmx.h.

int(* tmx_funcs::mday)(void *dat)

Definition at line 8 of file date_tmx.h.

int(* tmx_funcs::min)(void *dat)

Definition at line 16 of file date_tmx.h.

int(* tmx_funcs::mon)(void *dat)

Definition at line 7 of file date_tmx.h.

VALUE(* tmx_funcs::msecs)(void *dat)

Definition at line 20 of file date_tmx.h.

VALUE(* tmx_funcs::offset)(void *dat)

Definition at line 21 of file date_tmx.h.

int(* tmx_funcs::sec)(void *dat)

Definition at line 17 of file date_tmx.h.

VALUE(* tmx_funcs::sec_fraction)(void *dat)

Definition at line 18 of file date_tmx.h.

VALUE(* tmx_funcs::secs)(void *dat)

Definition at line 19 of file date_tmx.h.

int(* tmx_funcs::wday)(void *dat)

Definition at line 14 of file date_tmx.h.

int(* tmx_funcs::wnum0)(void *dat)

Definition at line 12 of file date_tmx.h.

int(* tmx_funcs::wnum1)(void *dat)

Definition at line 13 of file date_tmx.h.

int(* tmx_funcs::yday)(void *dat)

Definition at line 6 of file date_tmx.h.

VALUE(* tmx_funcs::year)(void *dat)

Definition at line 5 of file date_tmx.h.

char*(* tmx_funcs::zone)(void *dat)

Definition at line 22 of file date_tmx.h.

The documentation for this struct was generated from the following file:

- ext/date/date_tmx.h